Name:          cxf-build-utils
Version:       3.2.0
Release:       3%{?dist}
Summary:       Apache CXF Build Utils
License:       ASL 2.0
URL:           http://cxf.apache.org/build-utils.html
Source0:       https://github.com/apache/cxf-build-utils/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.sun.xml.fastinfoset:FastInfoset)
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(junit:junit)
# BuildRequires: mvn(net.sourceforge.pmd:pmd-java)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

BuildArch:     noarch

%description
The Apache CXF Build Utils contains common utilities and configuration files
that are used by multiple versions of the CXF builds.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
# Was retired
%pom_remove_dep net.sourceforge.pmd:pmd-java buildtools
rm -r buildtools/src/main/java/org/apache/cxf/pmd

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 10 2016 gil cattaneo <puntogil@libero.it> 3.2.0-2
- drop pmd-java

* Thu Jun 16 2016 gil cattaneo <puntogil@libero.it> 3.2.0-1
- Update to 3.2.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Marek Goldmann <mgoldman@redhat.com> - 2.6.0-1
- Upstream release 2.6.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.5.0-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 2.5.0-1
- Upstream release 2.5.0
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.4.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 13 2012 Patryk Obara <pobara@redhat.com> - 2.4.1-4
- Fix build for f18

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Patryk Obara <pobara@redhat.com> 2.4.1-2
- Cleaned requires list
- Fixed warnings about mixed whitespace
- Unnecessary comment removed

* Wed May 9 2012 Patryk Obara <pobara@redhat.com> 2.4.1-1
- Initial packaging
